
Foreman - Bug #14079

display_link_if_authorized hides disabled buttons

03/07/2016 09:43 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Web Interface   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3462

  

Description

When 'disabled' is one of the html_options sent to display_link_if_authorized it does not create the link.

There should be a difference between hiding the link and showing it in a disabled state.

Associated revisions

Revision a6005760 - 05/03/2016 04:12 AM - Ondřej Pražák

Fixes #14079 - display_link_if_authorized not hidden when disabled

History

#1 - 03/07/2016 09:46 AM - Tomer Brisker

- Category set to Web Interface

#2 - 04/26/2016 04:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Pražák

- Pull request https://github.com/theforeman/foreman/pull/3462 added

#3 - 05/03/2016 05:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a60057600ed79d7d8b1b3123f6c9031b57272e78.

#4 - 05/03/2016 09:06 AM - Dominic Cleal

- translation missing: en.field_release set to 136
